/////////////
//STRUKTURY//
/////////////


//
//FACE truktura 
//
struct BSPFACE
{
	VECTOR3D P[3]; //vertexi
	VECTOR2D T1[3]; //texturove kordinaty
	VECTOR2D T2[3]; //lightmap kordinaty
	int Group;  //index skupiny
	int Plane;  //index roviny

	bool Visible;
};

//
//GROUP truktura 
//
struct BSPGROUP
{
	int BlendType; //typ priesvitnosti
	int Type; //typ
	int CollisionType;  //typ testovania kolizie

	//texture
	LPDIRECT3DTEXTURE9 g_pTexture; 

	//lightmapa
	int LightMapId;

	//pole VB
	int NumVisibleFaces;
	int StartVertex;
};



//
//LIGHT truktura
//
struct BSPLIGHT
{
	VECTOR3D Pos;
	COLOR Color;
	float Intensity;
	float Range;
	bool Corona;
};

//
//NODE
//
struct BSPNODE
{
    int BackIndex;
    int FrontIndex;

	VECTOR3D Min;
	VECTOR3D Max;
	float Radius;
	VECTOR3D Centre;

	bool Solid;

	bool Leaf;
	  int LeafIndex;

	int Root;
};

//
//BSPLEAF
//
struct BSPLEAF
{
	int *FaceList;
	int NumFaces;

	VECTOR3D Min;
	VECTOR3D Max;
	float Radius;
	VECTOR3D Centre;

	int *VisibleLeafs;
	int NumVisibleLeafs;

};

